This field accepts text, html or javascript. You can use the following dynamic variables: Uptime4 Monitor. You can also use Spintax format, as such: Hey to randomize words or phrases.

Herzschläge

GET https://uptime4.com/api/heartbeats/
curl --request GET \
--url 'https://uptime4.com/api/heartbeats/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
search Optional String Die Suchzeichenfolge.
search_by Optional String Nach welchem ​​Feld suchen Sie? Zulässige Werte sind: name.
is_enabled Optional Boolean
project_id Optional Integer
datetime_field Optional String Erlaubte Werte: datetime, last_datetime, last_run_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String Welches Feld, nach dem die Ergebnisse sortiert werden sollen. Zulässige Werte sind: heartbeat_id, datetime, last_datetime, last_run_datetime, name, uptime.
order_type Optional String Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Sortierung und DESC für absteigende Sortierung.
page Optional Integer Die Seitenzahl, von der Sie Ergebnisse erhalten möchten. Standardmäßig 1.
results_per_page Optional Integer Wie viele Ergebnisse Sie pro Seite wünschen. Zulässige Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 1,
            "name": "Example",
            "code": "Example",
            "settings": [],
            "is_ok": 1,
            "uptime": 1.5,
            "downtime": 1.5,
            "total_runs": 1,
            "total_missed_runs": 1,
            "last_run_datetime": null,
            "notifications": [],
            "is_enabled": true,
            "datetime": "2026-09-30 12:19:50",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://uptime4.com/api/heartbeats?page=1",
        "last": "https://uptime4.com/api/heartbeats?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptime4.com/api/heartbeats?page=1"
    }
}
GET https://uptime4.com/api/heartbeats/{heartbeat_id}
curl --request GET \
--url 'https://uptime4.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "code": "Example",
        "settings": [],
        "is_ok": 1,
        "uptime": 1.5,
        "downtime": 1.5,
        "total_runs": 1,
        "total_missed_runs": 1,
        "last_run_datetime": null,
        "notifications": [],
        "is_enabled": true,
        "datetime": "2026-09-30 12:19:50",
        "last_datetime": null
    }
}
POST https://uptime4.com/api/heartbeats
Parameter Details Beschreibung
name Erforderlich String -
run_interval Optional Integer -
run_interval_type Optional String Erlaubte Werte: seconds, minutes, hours, days
run_interval_grace Optional Integer -
run_interval_grace_type Optional String Erlaubte Werte: seconds, minutes, hours, days
is_ok_notifications Optional Array Benachrichtigungs-Handler-IDs
is_enabled Optional Boolean -
project_id Optional Integer -
email_reports_is_enabled Optional Boolean -
curl --request POST \
--url 'https://uptime4.com/api/heartbeats' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "code": "Example",
        "settings": [],
        "is_ok": true,
        "uptime": 1.5,
        "downtime": 1.5,
        "total_runs": 1,
        "total_missed_runs": 1,
        "last_run_datetime": null,
        "notifications": [],
        "is_enabled": true,
        "datetime": "2026-09-30 12:19:50",
        "last_datetime": null
    }
}
POST https://uptime4.com/api/heartbeats/{heartbeat_id}
Parameter Details Beschreibung
name Optional String -
run_interval Optional Integer -
run_interval_type Optional String Erlaubte Werte: seconds, minutes, hours, days
run_interval_grace Optional Integer -
run_interval_grace_type Optional String Erlaubte Werte: seconds, minutes, hours, days
is_ok_notifications Optional Array Benachrichtigungs-Handler-IDs
is_enabled Optional Boolean -
project_id Optional Integer -
email_reports_is_enabled Optional Boolean -
curl --request POST \
--url 'https://uptime4.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "code": "Example",
        "settings": [],
        "is_ok": 1,
        "uptime": 1.5,
        "downtime": 1.5,
        "total_runs": 1,
        "total_missed_runs": 1,
        "last_run_datetime": null,
        "notifications": [],
        "is_enabled": true,
        "datetime": "2026-09-30 12:19:50",
        "last_datetime": null
    }
}
DELETE https://uptime4.com/api/heartbeats/{heartbeat_id}
curl --request DELETE \
--url 'https://uptime4.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \